Subject: Re: POP3 delivers, not deletes

From: Shelby Moore <[email-masked]>
Date: Tue, 09 Sep 2003 13:29:41 +0800

[not private reply...in interests of sharing info]

Thanks for reply.

At 10:08 PM 9/8/2003 -0700, you wrote:
>[sent privately, since I just advised you to move discussion from the IETF 
>list....]

I thought you meant regarding the anti-spam stuff, which I agreed with.  Why should discussions of POP engineering be moved to IRTF???  I thought IETF stands for "internet engineering task force".

>
>--On 9. september 2003 11:14 +0800 Shelby Moore <[email-masked]> 
>wrote:
>
>>> A *lot* of POP-using programs have the "Leave Mail On Server" option.
>>> And a lot of people have used "Leave Mail On Server" as a poor man's
>>> 1-folder IMAP, leading POP providers to implement mail retaining
>>> policies  of the "RETR it once and it's gone, whether you DELEted it or
>>> not".
>>
>>
>> Do you think they also apply this policy to TOP n?
>>
>> Do you have any idea how prevelant this rather extreme policy might be???
>
>I don't know much about the commercial POP sellers' current behaviour... 
>disk has become cheaper, but mail has become fatter over the years since 
>1996.

Well at least it is easy enough to test for.  Send test message, POP, etc...

>
>Quoting more from RFC 1939 (a document I *very* much encourage reading in 
>*detail* before basing business decisions on details of POP behaviour):

I have read it several times, not taking the delete after RETR seriously because...and if you read the section you quote more carefully you see...

>>       One special case of a site policy is that messages may only be
>>       downloaded once from the server, and are deleted after this has
>>       been accomplished.  This could be implemented in POP3 server
>>       software by the following mechanism: "following a POP3 login by a
>>       client which was ended by a QUIT, delete all messages downloaded
>>       during the session with the RETR command".  It is important not to
>>       delete messages in the event of abnormal connection termination
>>       (ie, if no QUIT was received from the client) because the client
>>       may not have successfully received or stored the messages.

One merely needs to disconnect without using QUIT, if the POP server is RFC 1939 compliant.  So this seems to make the whole suggestion implausible, since so easily to divert it.

>So the issue has been considered, it seems.

Yes but that is not what I asked you.  I asked you how prevelant you thought the practice is.

>Both listed authors are still active in the IETF, I think.

I guess that means POP engineering threads belong in the IETF mailing lists, which is why I am not making a private reply.

> Contacting them 
>privately for advice might prove illuminating.

Why privately?  Why not share the information?  I did not start this thread.

Thanks for sharing.

Shelby Moore
http://AntiViotic.com